Can not install certbot acme v2 on Vicidial 8.1.2

Any and all non-support discussions

Moderators: gerski, enjay, williamconley, Op3r, Staydog, gardo, mflorell, MJCoate, mcargile, Kumba, Michael_N

Can not install certbot acme v2 on Vicidial 8.1.2

Postby mar1o » Wed May 12, 2021 5:45 am

Hi,

When i run "certbot certonly --webroot" on Vicibox 8.1.2 i get this:

Starting new HTTPS connection (1): acme-v01.api.letsencrypt.org
An unexpected error occurred:
The client lacks sufficient authorization :: Account creation on ACMEv1 is disabled. Please upgrade your ACME client to a version that supports ACMEv2 / RFC 8555. See https://community.letsencrypt.org/t/end ... mev1/88430 for details.


I tried to install the new certbot according to their website and also trying to update it from the opensuse repo but it doesnt update. Is there a way to install the new certbot on this version of Vicidial?

Thank you,
mar1o
 
Posts: 20
Joined: Fri Oct 28, 2016 6:20 am

Re: Can not install certbot acme v2 on Vicidial 8.1.2

Postby carpenox » Wed May 12, 2021 3:52 pm

you need to update to acme v2
Leap 15.3 | Version: 2.14-829a | BUILD: 210911-1958| SVN Version: 3520 | DB Schema Version: 1645 | Asterisk 16.20.0-vici
www.CyburDial.net -:- 844-PC-SATA-2 -:- My Blog: http://vicidial.blog -:- Whatsapp: +19549477572 -:- Skype: live:carpenox_3
carpenox
 
Posts: 1578
Joined: Wed Apr 08, 2020 2:02 am
Location: Coral Springs, FL

Re: Can not install certbot acme v2 on Vicidial 8.1.2

Postby mar1o » Fri May 14, 2021 3:03 am

I know that but I can not update.
mar1o
 
Posts: 20
Joined: Fri Oct 28, 2016 6:20 am

Re: Can not install certbot acme v2 on Vicidial 8.1.2

Postby carpenox » Fri May 14, 2021 5:10 am

I'll post the method later today
Leap 15.3 | Version: 2.14-829a | BUILD: 210911-1958| SVN Version: 3520 | DB Schema Version: 1645 | Asterisk 16.20.0-vici
www.CyburDial.net -:- 844-PC-SATA-2 -:- My Blog: http://vicidial.blog -:- Whatsapp: +19549477572 -:- Skype: live:carpenox_3
carpenox
 
Posts: 1578
Joined: Wed Apr 08, 2020 2:02 am
Location: Coral Springs, FL

Re: Can not install certbot acme v2 on Vicidial 8.1.2

Postby mar1o » Fri May 14, 2021 5:14 am

Ok. Thank you
mar1o
 
Posts: 20
Joined: Fri Oct 28, 2016 6:20 am

Re: Can not install certbot acme v2 on Vicidial 8.1.2

Postby carpenox » Fri May 14, 2021 1:19 pm

go to /etc/certbot and edit the cli.ini as shown below

Image
Leap 15.3 | Version: 2.14-829a | BUILD: 210911-1958| SVN Version: 3520 | DB Schema Version: 1645 | Asterisk 16.20.0-vici
www.CyburDial.net -:- 844-PC-SATA-2 -:- My Blog: http://vicidial.blog -:- Whatsapp: +19549477572 -:- Skype: live:carpenox_3
carpenox
 
Posts: 1578
Joined: Wed Apr 08, 2020 2:02 am
Location: Coral Springs, FL

Re: Can not install certbot acme v2 on Vicidial 8.1.2

Postby mar1o » Mon May 17, 2021 3:21 am

I get this error:

Do you want to run certbot now to generate a certificate? (N/y) : y
Saving debug log to /var/log/certbot/letsencrypt.log
Starting new HTTPS connection (1): acme-v02.api.letsencrypt.org
An unexpected error occurred:
KeyError: 'Directory field not found'
Please see the logfiles in /var/log/certbot for more details.

CertBot was unable to verify your FQDN reaches this server and was unable
to generate a valid SSL certificate. Please check your firewall settings,
DNS entries, and Apache for any possible issues. You can either re-run this
script of run certbot --webroot certonly to test if the issue is resolved.


My certbot version is 0.15.0. And I am running Vicibox 8.1.2 VERSION: 2.14-812a
BUILD: 210429-1624
mar1o
 
Posts: 20
Joined: Fri Oct 28, 2016 6:20 am

Re: Can not install certbot acme v2 on Vicidial 8.1.2

Postby carpenox » Mon May 17, 2021 12:02 pm

service firewalld stop

then run certbot

service firewalld start

good luck
Leap 15.3 | Version: 2.14-829a | BUILD: 210911-1958| SVN Version: 3520 | DB Schema Version: 1645 | Asterisk 16.20.0-vici
www.CyburDial.net -:- 844-PC-SATA-2 -:- My Blog: http://vicidial.blog -:- Whatsapp: +19549477572 -:- Skype: live:carpenox_3
carpenox
 
Posts: 1578
Joined: Wed Apr 08, 2020 2:02 am
Location: Coral Springs, FL


Return to General Discussion

Who is online

Users browsing this forum: No registered users and 16 guests